This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459803 - [abrt] freerdp: xfreerdp killed by SIGSEGV
[abrt] freerdp: xfreerdp killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freerdp (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:28dfe82f670745945e1588ea7b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 04:41 EDT by Vitaliy
Modified: 2017-07-07 18:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: freerdp-2.0.0-28.20170623git9904c32.fc25 freerdp-2.0.0-28.20170623git9904c32.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 22:22:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.96 KB, text/plain)
2017-06-08 04:41 EDT, Vitaliy
no flags Details
File: cgroup (148 bytes, text/plain)
2017-06-08 04:41 EDT, Vitaliy
no flags Details
File: core_backtrace (2.83 KB, text/plain)
2017-06-08 04:41 EDT, Vitaliy
no flags Details
File: dso_list (4.08 KB, text/plain)
2017-06-08 04:41 EDT, Vitaliy
no flags Details
File: environ (1.60 KB, text/plain)
2017-06-08 04:41 EDT, Vitaliy
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-08 04:41 EDT, Vitaliy
no flags Details
File: maps (20.83 KB, text/plain)
2017-06-08 04:42 EDT, Vitaliy
no flags Details
File: mountinfo (3.34 KB, text/plain)
2017-06-08 04:42 EDT, Vitaliy
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-08 04:42 EDT, Vitaliy
no flags Details
File: open_fds (2.72 KB, text/plain)
2017-06-08 04:42 EDT, Vitaliy
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2017-06-08 04:42 EDT, Vitaliy
no flags Details
File: var_log_messages (256 bytes, text/plain)
2017-06-08 04:42 EDT, Vitaliy
no flags Details

  None (edit)
Description Vitaliy 2017-06-08 04:41:42 EDT
Description of problem:
I copied the text to the clipboard, after which the connection to the terminal was closed.

Version-Release number of selected component:
freerdp-2.0.0-27.20170512gitb1df835.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        xfreerdp -decorations /w:1908 /h:961 /kbd:0x00000409 /u:morph /parent-window:96469202 /bpp:24 /audio-mode:0 /sound:sys:alsa /network:lan /rfx /cert-ignore +clipboard /port:3389 /v:w8ts1b /p:********
executable:     /usr/bin/xfreerdp
global_pid:     17804
kernel:         4.11.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #3 xf_cliprdr_server_format_data_response at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/client/X11/xf_cliprdr.c:1361
 #4 cliprdr_process_format_data_response at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/channels/cliprdr/client/cliprdr_format.c:333
 #5 cliprdr_order_recv at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/channels/cliprdr/client/cliprdr_main.c:516
 #6 cliprdr_virtual_channel_client_thread at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/channels/cliprdr/client/cliprdr_main.c:1082
 #7 thread_launcher at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/winpr/libwinpr/thread/thread.c:320
Comment 1 Vitaliy 2017-06-08 04:41:50 EDT
Created attachment 1286070 [details]
File: backtrace
Comment 2 Vitaliy 2017-06-08 04:41:52 EDT
Created attachment 1286071 [details]
File: cgroup
Comment 3 Vitaliy 2017-06-08 04:41:54 EDT
Created attachment 1286072 [details]
File: core_backtrace
Comment 4 Vitaliy 2017-06-08 04:41:56 EDT
Created attachment 1286073 [details]
File: dso_list
Comment 5 Vitaliy 2017-06-08 04:41:57 EDT
Created attachment 1286074 [details]
File: environ
Comment 6 Vitaliy 2017-06-08 04:41:59 EDT
Created attachment 1286075 [details]
File: limits
Comment 7 Vitaliy 2017-06-08 04:42:01 EDT
Created attachment 1286076 [details]
File: maps
Comment 8 Vitaliy 2017-06-08 04:42:03 EDT
Created attachment 1286077 [details]
File: mountinfo
Comment 9 Vitaliy 2017-06-08 04:42:05 EDT
Created attachment 1286078 [details]
File: namespaces
Comment 10 Vitaliy 2017-06-08 04:42:06 EDT
Created attachment 1286079 [details]
File: open_fds
Comment 11 Vitaliy 2017-06-08 04:42:08 EDT
Created attachment 1286080 [details]
File: proc_pid_status
Comment 12 Vitaliy 2017-06-08 04:42:10 EDT
Created attachment 1286081 [details]
File: var_log_messages
Comment 13 Fedora Update System 2017-06-26 07:44:37 EDT
remmina-1.2.0-0.37.20170622git7e82138.fc25 freerdp-2.0.0-28.20170623git9904c32.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-223a6c0fe3
Comment 14 Fedora Update System 2017-06-26 07:45:07 EDT
remmina-1.2.0-0.37.20170622git7e82138.fc26 freerdp-2.0.0-28.20170623git9904c32.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-294ac891a3
Comment 15 Fedora Update System 2017-06-26 23:23:44 EDT
freerdp-2.0.0-28.20170623git9904c32.fc25, remmina-1.2.0-0.37.20170622git7e82138.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-223a6c0fe3
Comment 16 Fedora Update System 2017-06-27 02:25:22 EDT
freerdp-2.0.0-28.20170623git9904c32.fc26, remmina-1.2.0-0.37.20170622git7e82138.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-294ac891a3
Comment 17 Fedora Update System 2017-07-05 22:22:15 EDT
freerdp-2.0.0-28.20170623git9904c32.fc25, remmina-1.2.0-0.37.20170622git7e82138.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2017-07-07 18:59:20 EDT
freerdp-2.0.0-28.20170623git9904c32.fc26, remmina-1.2.0-0.37.20170622git7e82138.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.